Welcome to XDA

Search to go directly to your device's forum

Register an account

Unlock full posting privileges

Ask a question

No registration required
Post Reply

Help installing TWRP 2.7 on new G2 with 12B

OP ECrispy

10th April 2014, 07:35 AM   |  #1  
OP Senior Member
Thanks Meter: 272
 
1,377 posts
Join Date:Joined: Jun 2010
More
I have downloaded a TWRP 2.7 flashable zip. The official instructions on the TWRP site talk about using a .img file, but they don't have a 2.7 img for vs980.

Many threads mention some images are Lokified, others are not, I'm not sure how to install.

This is a new G2 with 12B that I'm going to root with IORoot 25, how can I get TWRP installed on it as well, preferably in same adb session?

Thanks
10th April 2014, 07:47 AM   |  #2  
OP Senior Member
Thanks Meter: 272
 
1,377 posts
Join Date:Joined: Jun 2010
More
Is this the right way?

flash older 2.6.3.2 img using Flashify
reboot into recovery
flash 2.7 zip

Is there a faster way to do this?
10th April 2014, 11:34 PM   |  #3  
OP Senior Member
Thanks Meter: 272
 
1,377 posts
Join Date:Joined: Jun 2010
More
Can someone please help?
11th April 2014, 12:04 AM   |  #4  
Member
Flag Omaha
Thanks Meter: 22
 
94 posts
Join Date:Joined: Jan 2012
More
Quote:
Originally Posted by ECrispy

Can someone please help?

Root with ioroot
Flashify has its own download section, I would download the .IMG file in the app, just to make sure you have the correct one.
Follow directions in flashify.

I just did this with cwm and it worked, it might have the latest twrp to flash in the app.
11th April 2014, 04:30 AM   |  #5  
xemnas18's Avatar
Senior Member
Thanks Meter: 32
 
160 posts
Join Date:Joined: Jan 2014
More
Quote:
Originally Posted by ECrispy

Can someone please help?

If you just want the easiest method, do this:

Extract twrp.lok from this thread. (first download twrp.zip...the .lok file is in there) Rename the extension to img. Flash that with flashify. Then flash this in recovery. You should now be on twrp 2.7 loki'd for 12b.

Credit for that procedure goes to JRJ442...i just explained his steps from here.
The Following 2 Users Say Thank You to xemnas18 For This Useful Post: [ View ]
11th April 2014, 05:17 AM   |  #6  
Senior Member
Flag Green Bay
Thanks Meter: 47
 
251 posts
Join Date:Joined: Mar 2011
Donate to Me
More
Quote:
Originally Posted by xemnas18

If you just want the easiest method, do this:

Extract twrp.lok from this thread. (first download twrp.zip...the .lok file is in there) Rename the extension to img. Flash that with flashify. Then flash this in recovery. You should now be on twrp 2.7 loki'd for 12b.

Credit for that procedure goes to JRJ442...i just explained his steps from here.

+1 This works perfectly.
28th April 2014, 05:24 AM   |  #7  
Junior Member
Thanks Meter: 5
 
17 posts
Join Date:Joined: Oct 2010
Question
Quote:
Originally Posted by xemnas18

If you just want the easiest method, do this:

Extract twrp.lok from this thread. (first download twrp.zip...the .lok file is in there) Rename the extension to img. Flash that with flashify. Then flash this in recovery. You should now be on twrp 2.7 loki'd for 12b.

Credit for that procedure goes to JRJ442...i just explained his steps from here.

Will this method work if I already have TWRP 2.6.3.3? My goal is: get to TWRP 2.7 but tried to go into TWRP and flash the "openrecovery-twrp-2.7.0.0-vs980.zip", it tells me I can't because it can't find "/tmp/loki.sh" (couldn't capture exact message). Currently I'm on 12B.
thanks
28th April 2014, 06:55 AM   |  #8  
JRJ442's Avatar
Senior Member
Flag Salisbury, Md
Thanks Meter: 1,386
 
2,282 posts
Join Date:Joined: Jan 2011
Donate to Me
More
Quote:
Originally Posted by glhelinski

Will this method work if I already have TWRP 2.6.3.3? My goal is: get to TWRP 2.7 but tried to go into TWRP and flash the "openrecovery-twrp-2.7.0.0-vs980.zip", it tells me I can't because it can't find "/tmp/loki.sh" (couldn't capture exact message). Currently I'm on 12B.
thanks

Yeah the official that you tried doesn't have the correct Loki patch for 12B. Thats why it throws that message. All the ones I made for VS980 are patched to work on 11A or 12B. Just click on "This" a few posts up. That goes to my Dropbox. The zip is Stock-TWRP2.7-VS980. Just flash in recovery, then reboot recovery and it'll be 2.7
Or if you have Flashify you can download and install 2.7 through that.
Last edited by JRJ442; 28th April 2014 at 06:59 AM.
The Following User Says Thank You to JRJ442 For This Useful Post: [ View ]
28th April 2014, 09:34 AM   |  #9  
Cydiggitydog's Avatar
Junior Member
Flag Fort Collins
Thanks Meter: 0
 
7 posts
Join Date:Joined: May 2013
More
These one click tools worked for me. I went from 12b + stock recovery to twrp 2.7 with just a few clicks. I used it yesterday. Thread http://forum.xda-developers.com/show....php?t=2713954

Sent from my VS980 4G using XDA Premium 4 mobile app
29th April 2014, 01:05 AM   |  #10  
Junior Member
Thanks Meter: 5
 
17 posts
Join Date:Joined: Oct 2010
Thumbs up
Quote:
Originally Posted by JRJ442

Yeah the official that you tried doesn't have the correct Loki patch for 12B. Thats why it throws that message. All the ones I made for VS980 are patched to work on 11A or 12B. Just click on "This" a few posts up. That goes to my Dropbox. The zip is Stock-TWRP2.7-VS980. Just flash in recovery, then reboot recovery and it'll be 2.7
Or if you have Flashify you can download and install 2.7 through that.

thanks. worked as expected.

The Following User Says Thank You to glhelinski For This Useful Post: [ View ]
Post Reply Subscribe to Thread
Previous Thread Next Thread
Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes